﻿@using DAweb.Models;
@model List<tblGioHangTao>
@{
    ViewBag.Title = "SuaGioHang";
    Layout = "~/Views/Layout/NguoiDungLayout.cshtml";
}
<style>
    .container-slider {
        display: none;
    }

    .sidebar-left {
        display: none;
    }
</style>
<h2> Chỉnh Sửa Giỏ Hàng </h2>

<div class="container">

    <h3>@ViewBag.ThongBao</h3> 
    <table id="divGioHang">
        <tr>
            <td>Mã SP</td>

            <td>Tên Sản Phẩm </td>

            <td>Ảnh bìa</td>

            <td>Đơn giá </td>


            <td>Số lượng </td>

            <td>Thành tiền </td>
            <td> </td>
        </tr>
        @foreach (var item in Model)
    {
            <tr>
                <td> @item.MaSP</td>
                <td>@item.TenSanPham</td>
                <td><a href="@Url.Action("SanPhamChiTiet", "SanPham", new { @MaSP = item.MaSP})"><img src="@Url.Content("~/App_Themes/HinhAnhSanPham/" + item.AnhDaiDien)" width="50" height="50" /></a></td>
                <td>
                    @String.Format("{0:0,0}", item.DonGia) VNĐ
                </td>
                @*Chỉnh sửa giỏ hàng gọi về action CapNhatGioHang*@
                @using (Html.BeginForm("CapNhapGioHang", "GioHang", new { @MaSP = item.MaSP }))
            {
                    
                    <td>  <input class="form-control" name="txtSoLuong" type="number" value="@item.SoLuong" required> </td>
                    <td>@String.Format("{0:0,0}", item.dThanhTien) VNĐ</td>
                    <td>
                        <input class="btn btn-danger" type="submit" value="Cập Nhật"/>
                        <br />
                        @*Xóa giỏ hàng gọi về Action XoaGioHang*@
                     <a class="btn btn-danger" href="@Url.Action("XoaGioHang", new {  @MaSP = item.MaSP })" 
                       style="padding: 6px 23px; margin: 9px 8px 16px 0px;"><i class="fa fa-trash"></i>  Xóa </a>
   
                        
                    </td>
                   
            }


            </tr>
    }
    </table>
</div>
@*Css giỏ hàng*@
<style>
    #divGioHang {
        border: 1px solid #EEEEEE;
        margin-left: 10%;
    }

        #divGioHang td {
            padding: 10px;
            border: 1px solid #EEEEEE;
        }
</style>

